<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::Options Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsiggen_1_1_options.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classsiggen_1_1_options-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::Options Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>configuration for generation of signatures file  
 <a href="classsiggen_1_1_options.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_options_8h_source.html">Options.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a93b4e1f79b1751cd74e8069639709467"><td class="memItemLeft" align="right" valign="top"><a id="a93b4e1f79b1751cd74e8069639709467"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a93b4e1f79b1751cd74e8069639709467">GetInputFileName</a> () const</td></tr>
<tr class="memdesc:a93b4e1f79b1751cd74e8069639709467"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified input file name <br /></td></tr>
<tr class="separator:a93b4e1f79b1751cd74e8069639709467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd9d4cc9b7d8186f6e81de6d2eb3ffe"><td class="memItemLeft" align="right" valign="top"><a id="aecd9d4cc9b7d8186f6e81de6d2eb3ffe"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#aecd9d4cc9b7d8186f6e81de6d2eb3ffe">GetOutputFileName</a> () const</td></tr>
<tr class="memdesc:aecd9d4cc9b7d8186f6e81de6d2eb3ffe"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified output file name <br /></td></tr>
<tr class="separator:aecd9d4cc9b7d8186f6e81de6d2eb3ffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bf946ed370154884b1a82076f1b8a4a"><td class="memItemLeft" align="right" valign="top"><a id="a1bf946ed370154884b1a82076f1b8a4a"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a1bf946ed370154884b1a82076f1b8a4a">GetBlockSize</a> () const</td></tr>
<tr class="memdesc:a1bf946ed370154884b1a82076f1b8a4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified block size <br /></td></tr>
<tr class="separator:a1bf946ed370154884b1a82076f1b8a4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a753c4f80f87f9a512c197afae09731fb"><td class="memItemLeft" align="right" valign="top"><a id="a753c4f80f87f9a512c197afae09731fb"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a753c4f80f87f9a512c197afae09731fb">GetThreadCount</a> () const</td></tr>
<tr class="memdesc:a753c4f80f87f9a512c197afae09731fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified number of threads (0 == auto) <br /></td></tr>
<tr class="separator:a753c4f80f87f9a512c197afae09731fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a261be4a780e4a23e133252e56281ddb1"><td class="memItemLeft" align="right" valign="top"><a id="a261be4a780e4a23e133252e56281ddb1"></a>
ThreadingPolicy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a261be4a780e4a23e133252e56281ddb1">GetThreadPolicy</a> () const</td></tr>
<tr class="memdesc:a261be4a780e4a23e133252e56281ddb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified threading policy <br /></td></tr>
<tr class="separator:a261be4a780e4a23e133252e56281ddb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d21253deaca59e2f6f15b5cac5c783a"><td class="memItemLeft" align="right" valign="top"><a id="a0d21253deaca59e2f6f15b5cac5c783a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a0d21253deaca59e2f6f15b5cac5c783a">GetLogLevel</a> () const</td></tr>
<tr class="memdesc:a0d21253deaca59e2f6f15b5cac5c783a"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified verbosity <br /></td></tr>
<tr class="separator:a0d21253deaca59e2f6f15b5cac5c783a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e7b584ae17ee0010389232f1195b54"><td class="memItemLeft" align="right" valign="top"><a id="a75e7b584ae17ee0010389232f1195b54"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a75e7b584ae17ee0010389232f1195b54">GetHashName</a> () const</td></tr>
<tr class="memdesc:a75e7b584ae17ee0010389232f1195b54"><td class="mdescLeft">&#160;</td><td class="mdescRight">return user specified hash function name <br /></td></tr>
<tr class="separator:a75e7b584ae17ee0010389232f1195b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a83396bdb1535acb324b827d064ac6f"><td class="memItemLeft" align="right" valign="top"><a id="a2a83396bdb1535acb324b827d064ac6f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a2a83396bdb1535acb324b827d064ac6f">SetInputFileName</a> (std::string const &amp;name)</td></tr>
<tr class="memdesc:a2a83396bdb1535acb324b827d064ac6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified input file name <br /></td></tr>
<tr class="separator:a2a83396bdb1535acb324b827d064ac6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80870de22ad6438c8b886ff70c75eff"><td class="memItemLeft" align="right" valign="top"><a id="ae80870de22ad6438c8b886ff70c75eff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#ae80870de22ad6438c8b886ff70c75eff">GetOutputFileName</a> (std::string const &amp;name)</td></tr>
<tr class="memdesc:ae80870de22ad6438c8b886ff70c75eff"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified output file name <br /></td></tr>
<tr class="separator:ae80870de22ad6438c8b886ff70c75eff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29f02029bc74a0212fd506a99e0b36ef"><td class="memItemLeft" align="right" valign="top"><a id="a29f02029bc74a0212fd506a99e0b36ef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a29f02029bc74a0212fd506a99e0b36ef">SetBlockSize</a> (size_t size)</td></tr>
<tr class="memdesc:a29f02029bc74a0212fd506a99e0b36ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified block size <br /></td></tr>
<tr class="separator:a29f02029bc74a0212fd506a99e0b36ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2797de5dce12cb7751c942504e51074"><td class="memItemLeft" align="right" valign="top"><a id="aa2797de5dce12cb7751c942504e51074"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#aa2797de5dce12cb7751c942504e51074">SetThreadCount</a> (uint32_t count)</td></tr>
<tr class="memdesc:aa2797de5dce12cb7751c942504e51074"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified number of threads (0 == auto) <br /></td></tr>
<tr class="separator:aa2797de5dce12cb7751c942504e51074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80cdeac333c31612aa82608fcd1c7a41"><td class="memItemLeft" align="right" valign="top"><a id="a80cdeac333c31612aa82608fcd1c7a41"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a80cdeac333c31612aa82608fcd1c7a41">SetThreadPolicy</a> (ThreadingPolicy policy)</td></tr>
<tr class="memdesc:a80cdeac333c31612aa82608fcd1c7a41"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified threading policy <br /></td></tr>
<tr class="separator:a80cdeac333c31612aa82608fcd1c7a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad716c1fe100084bd024029671caab830"><td class="memItemLeft" align="right" valign="top"><a id="ad716c1fe100084bd024029671caab830"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#ad716c1fe100084bd024029671caab830">SetLogLevel</a> (uint32_t level)</td></tr>
<tr class="memdesc:ad716c1fe100084bd024029671caab830"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified verbosity <br /></td></tr>
<tr class="separator:ad716c1fe100084bd024029671caab830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064a446867e9329820973dbcf3fae9af"><td class="memItemLeft" align="right" valign="top"><a id="a064a446867e9329820973dbcf3fae9af"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#a064a446867e9329820973dbcf3fae9af">SetHashName</a> (std::string const &amp;name)</td></tr>
<tr class="memdesc:a064a446867e9329820973dbcf3fae9af"><td class="mdescLeft">&#160;</td><td class="mdescRight">set user specified hash function name <br /></td></tr>
<tr class="separator:a064a446867e9329820973dbcf3fae9af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4f252a399a19ddfc05a35984859b15d"><td class="memItemLeft" align="right" valign="top">ParseConfigResult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_options.html#ab4f252a399a19ddfc05a35984859b15d">ParseCommandLine</a> (int argc, char *argv[])</td></tr>
<tr class="memdesc:ab4f252a399a19ddfc05a35984859b15d"><td class="mdescLeft">&#160;</td><td class="mdescRight">reads options from command line  <a href="classsiggen_1_1_options.html#ab4f252a399a19ddfc05a35984859b15d">More...</a><br /></td></tr>
<tr class="separator:ab4f252a399a19ddfc05a35984859b15d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>configuration for generation of signatures file </p>

<p class="definition">Definition at line <a class="el" href="_options_8h_source.html#l00020">20</a> of file <a class="el" href="_options_8h_source.html">Options.h</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab4f252a399a19ddfc05a35984859b15d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4f252a399a19ddfc05a35984859b15d">&#9670;&nbsp;</a></span>ParseCommandLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ParseConfigResult siggen::Options::ParseCommandLine </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>reads options from command line </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">argc</td><td>number of command line arguments </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">argv</td><td>array of command line arguments </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>ParseConfigResult::OK on succes </dd></dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">std::exception</td><td>if error encountered </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_options_8cpp_source.html#l00008">8</a> of file <a class="el" href="_options_8cpp_source.html">Options.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_options_8h_source.html">Options.h</a></li>
<li>/home/x/siggen/lib/src/<a class="el" href="_options_8cpp_source.html">Options.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="classsiggen_1_1_options.html">Options</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
